VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation:

## Classes
class | GenericType

## Avaliable Methods
public method | get_generic_type ()
public method | get_element_type ()
public method | set_map_value_type ()
public method | set_map_key_type ()
public method | get_map_key_type ()
public method | get_map_value_type ()
public method | set_generic_type ()
public method | set_element_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation` class describes the type information of a typed element when the type is an instantiation of one of the generic types provided by the infrastructure.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::get_element_type | ( |  | ) |

Gets the value of 'element_type' property.

Return values

  element_type | - The current value of the field. Type of the element parameter if the generic type instantiation is a :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::GenericType.LIST` , :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::GenericType.OPTIONAL` or :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::GenericType.SET`optional#

Code:
click to view
# Number of lines of code in get_element_type: 4
sub get_element_type {
my ($self, %args) = @_;
return $self->{'element_type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::get_generic_type | ( |  | ) |

Gets the value of 'generic_type' property.

Return values

  generic_type | - The current value of the field. The generic type that is being instantiated. GenericType#

Code:
click to view
# Number of lines of code in get_generic_type: 4
sub get_generic_type {
my ($self, %args) = @_;
return $self->{'generic_type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::get_map_key_type | ( |  | ) |

Gets the value of 'map_key_type' property.

Return values

  map_key_type | - The current value of the field. Type of the key parameter of the map generic type instantiation. The map generic type has a key parameter and value parameter. The type of the value parameter is described by :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation.map_value_type` .. optional#

Code:
click to view
# Number of lines of code in get_map_key_type: 4
sub get_map_key_type {
my ($self, %args) = @_;
return $self->{'map_key_type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::get_map_value_type | ( |  | ) |

Gets the value of 'map_value_type' property.

Return values

  map_value_type | - The current value of the field. Type of the value parameter of the map generic type instantiation. The map generic type has a key parameter and value parameter. The type of the key parameter is described by :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation.map_key_type` .. optional#

Code:
click to view
# Number of lines of code in get_map_value_type: 4
sub get_map_value_type {
my ($self, %args) = @_;
return $self->{'map_value_type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 32
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'generic_type',
'case_map' => {
'LIST' => ['element_type'],
'OPTIONAL' => ['element_type'],
'SET' => ['element_type'],
'MAP' => ['map_key_type', 'map_value_type'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{generic_type} = $args{'generic_type'};
$self->{element_type} = $args{'element_type'};
$self->{map_key_type} = $args{'map_key_type'};
$self->{map_value_type} = $args{'map_value_type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.generic_instantiation');
$self->set_binding_field('key' => 'generic_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'GenericInstantiation::GenericType'));
$self->set_binding_field('key' => 'element_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'Type')));
$self->set_binding_field('key' => 'map_key_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'Type')));
$self->set_binding_field('key' => 'map_value_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'Type')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::set_element_type | ( |  | ) |

Sets the given value for 'element_type' property.

Parameters

  element_type | - New value for the field. Type of the element parameter if the generic type instantiation is a :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::GenericType.LIST` , :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::GenericType.OPTIONAL` or :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::GenericType.SET` Code: click to view # Number of lines of code in set_element_type: 5 sub set_element_type { my ($self, %args) = @_; $self->{'element_type'} = $args{'element_type'}; return; }

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::set_generic_type | ( |  | ) |

Sets the given value for 'generic_type' property.

Parameters

  generic_type | - New value for the field. The generic type that is being instantiated.

Code:
click to view
# Number of lines of code in set_generic_type: 5
sub set_generic_type {
my ($self, %args) = @_;
$self->{'generic_type'} = $args{'generic_type'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::set_map_key_type | ( |  | ) |

Sets the given value for 'map_key_type' property.

Parameters

  map_key_type | - New value for the field. Type of the key parameter of the map generic type instantiation. The map generic type has a key parameter and value parameter. The type of the value parameter is described by :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation.map_value_type` ..

Code:
click to view
# Number of lines of code in set_map_key_type: 5
sub set_map_key_type {
my ($self, %args) = @_;
$self->{'map_key_type'} = $args{'map_key_type'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation::set_map_value_type | ( |  | ) |

Sets the given value for 'map_value_type' property.

Parameters

  map_value_type | - New value for the field. Type of the value parameter of the map generic type instantiation. The map generic type has a key parameter and value parameter. The type of the key parameter is described by :attr:`Com::Vmware::Vapi::Metadata::Metamodel::GenericInstantiation.map_key_type` ..

Code:
click to view
# Number of lines of code in set_map_value_type: 5
sub set_map_value_type {
my ($self, %args) = @_;
$self->{'map_value_type'} = $args{'map_value_type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/GenericInstantiation.pm